aboutsummaryrefslogtreecommitdiff
path: root/lib/tools/git_head.sh
diff options
context:
space:
mode:
Diffstat (limited to 'lib/tools/git_head.sh')
-rwxr-xr-xlib/tools/git_head.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/lib/tools/git_head.sh b/lib/tools/git_head.sh
new file mode 100755
index 0000000..bfa738a
--- /dev/null
+++ b/lib/tools/git_head.sh
@@ -0,0 +1,11 @@
+#! /bin/sh
+# Include the git hash in an OCaml file.
+
+git diff-index --quiet HEAD --
+if [ $? -ne 0 ]; then
+ revision=": untracked"
+else
+ revision=$(git rev-parse --short HEAD)
+fi
+compile_date=$(date +%Y/%m/%d)
+echo "let revision = \"${revision} - compiled on ${compile_date}\""